use serde::Deserialize;

use crate::ext::{GithubConfig, OIDCConfig};

fn default_auth_token_expiry() -> u64 {
    600
}

fn default_auth_code_expiry() -> u64 {
    600
}

fn default_refresh_token_expiry() -> u64 {
    3600
}

#[derive(Debug, Clone, Deserialize)]
pub struct Config {
    pub db_path: String,

    pub base_url: String,

    #[serde(default = "default_auth_token_expiry")]
    pub auth_token_expiry: u64,

    #[serde(default = "default_auth_code_expiry")]
    pub auth_code_expiry: u64,

    #[serde(default = "default_refresh_token_expiry")]
    pub refresh_token_expiry: u64,

    pub github: Option<GithubConfig>,
    pub oidc: Option<OIDCConfig>,
}
