#![doc = include_str!("../README.md")]

mod cli;
mod client;
mod client_management;
mod config;
mod error;
mod ext;
mod key;
mod realm;
mod schema;
mod server;
mod user;

pub use error::UIDCError;

fn main() {
    pretty_env_logger::formatted_timed_builder()
        .filter_level(log::LevelFilter::Warn)
        .filter(Some(module_path!()), log::LevelFilter::Info)
        .parse_default_env()
        .init();

    cli::invoked();
}
